ru.bitel.common.concurrent

## Class ConcurrentUtils

- java.lang.Object
- - ru.bitel.common.concurrent.ConcurrentUtils

-     public class ConcurrentUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `awaitFutures(java.util.List<? extends java.util.concurrent.Future<?>> futures)`
    `static boolean` | `awaitFutures(java.util.List<? extends java.util.concurrent.Future<?>> futures, long timeout, java.util.concurrent.TimeUnit unit)`
    `static boolean` | `invokeAll(java.util.List<? extends java.lang.Runnable> tasks, int threadCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentUtils

          public ConcurrentUtils()

  - ### Method Detail

    - #### awaitFutures

          public static boolean awaitFutures(java.util.List<? extends java.util.concurrent.Future<?>> futures,
                                             long timeout,
                                             java.util.concurrent.TimeUnit unit)
                                      throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### awaitFutures

          public static boolean awaitFutures(java.util.List<? extends java.util.concurrent.Future<?>> futures)
                                      throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### invokeAll

          public static boolean invokeAll(java.util.List<? extends java.lang.Runnable> tasks,
                                          int threadCount)
                                   throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`